Subject: Ticket Assigned - invoice request for WWD / 9562421967
From: Home Box <[email-masked]>
To: [email-masked]
Date: Mon, 28 Mar 2022 06:38:09 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  invoice request for WWD / 9562421967 Roma                    Dear Home box, good day.           10:16 AM, 28th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           10:16 AM, 28th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            10:16 AM, 28th Mar                     Roma                    Today is the scheduled delivery for the order no. 9562421967           10:16 AM, 28th Mar                     Roma                    Can u share the invoice on my email today?           10:16 AM, 28th Mar                     Roma                    we can send you copy of the order (9562421967) invoice to your registered email address ([email-masked]) if you want to check it.           10:16 AM, 28th Mar                   Ahmed                   Kindly allow me few moments so I can check the details of the order            10:17 AM, 28th Mar                   Ahmed                   We apologize and thank you for your patience and understanding. Please a moment  to serve you  the fullest.           10:23 AM, 28th Mar                     Roma                    Also kindly include in the final invoice our company trn no.           10:26 AM, 28th Mar                     Roma                             10:26 AM, 28th Mar                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           10:37 AM, 28th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4088129